<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Действия'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();

if (!isset($user) && !isset($_GET['id'])){header("Location: /index.php?".SID);exit;}
if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' LIMIT 1"),0)==0){header("Location: /index.php?".SID);exit;}
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1"));


if(isset($user)){
if($user[id]==$ank[id]){
echo "<img src='/style/icons/pointer.gif'> Вас пнули : <font color='red'>$user[dei_pn] раз</font><br/>";
echo "<img src='/style/icons/pointer.gif'> Вам подмигнули : <font color='red'>$user[dei_wink] раз</font><br/>";
echo "<img src='/style/icons/pointer.gif'> Предлагали выпить : <font color='red'>$user[dei_kruzhki] раз</font><br/>";
echo "<img src='/style/icons/pointer.gif'> Позвали на дискатеку : <font color='red'>$user[dei_disko] раз</font><br/>";
echo "<img src='/style/icons/pointer.gif'> Позвали на свидание : <font color='red'>$user[dei_vzasos] раз</font><br/>";
echo "<img src='/style/icons/pointer.gif'> Вас обняли : <font color='red'>$user[dei_ob] раз</font><br/>";
echo "<img src='/style/icons/pointer.gif'> Вам пожали руку : <font color='red'>$user[dei_ruk] раз</font><br/>";
echo "<img src='/style/icons/pointer.gif'> Вас поцеловали : <font color='red'>$user[dei_cel] раз</font><br/>";
echo "<img src='/style/icons/pointer.gif'> Признались в любви : <font color='red'>$user[dei_inlove] раз</font><br/>";
echo "<img src='/style/icons/pointer.gif'> В вас кинули какашкой : <font color='red'>$user[dei_gn] раз:)</font><br/>";
echo "<img src='/style/icons/pointer.gif'> Вас послали : <font color='red'>$user[dei_zhopa] раз:)</font>";

}
else
{

$action=htmlspecialchars(trim($_GET['action']));
$action=mysql_escape_string(trim($_GET['action']));

switch ($action){

default:
echo "<div class='rekl_main'>";
echo '<img src="/dei/ruka.gif"> Любое действие стоит <b>100</b> LM<br/> У тебя <b><font color="red">'.$user['balls'].'</font></b> Xhata Money!<br/>';
echo "</div>\n";
echo '<img src="/style/icons/plus.gif"> <a href="index.php?action=ob&id='.$ank[ 'id'].'">Обнять</a> <font color="red">'.$ank['dei_ob'].'</font><br/>';
echo '<img src="/style/icons/plus.gif"> <a href="index.php?action=ruk&id='.$ank['id'].'">Пожать руку</a> <font color="red">'.$ank['dei_ruk'].'</font><br/>';
echo '<img src="/style/icons/plus.gif"> <a href="index.php?action=wink&id='.$ank['id'].'">Подмигнуть</a> <font color="red">'.$ank['dei_wink'].'</font><br/>';
echo '<img src="/style/icons/plus.gif"> <a href="index.php?action=kruzhki&id='.$ank['id'].'">Предложить выпить</a> <font color="red">'.$ank['dei_kruzhki'].'</font><br/>';

$ank['dei_disko'].']<br/>';
echo '<img src="/style/icons/plus.gif"> <a href="index.php?action=disko&id='.$ank['id'].'">Позвать на дискотеку</a> <font color="red">'.$ank['dei_disko'].'</font><br/>';


$ank['dei_vzasos'].']<br/>';
echo '<img src="/style/icons/plus.gif"> <a href="index.php?action=vzasos&id='.$ank['id'].'">Пригласить на свидание</a> <font color="red">'.$ank['dei_vzasos'].'</font><br/>';



echo '<img src="/style/icons/plus.gif"> <a href="index.php?action=cel&id='.$ank['id'].'">Поцеловать</a> <font color="red">'.$ank['dei_cel'].'</font><br/>';


echo '<img src="/style/icons/plus.gif"> <a href="index.php?action=inlove&id='.$ank['id'].'">Признаться в любви</a> <font color="red">'.$ank['dei_inlove'].'</font><br/>';


echo '<img src="/style/icons/plus.gif"> <a href="index.php?action=pn&id='.$ank['id'].'">Пнуть</a> <font color="red">'.$ank['dei_pn'].'</font><br/>';
echo '<img src="/style/icons/plus.gif"> <a href="index.php?action=gn&id='.$ank['id'].'">Кинуть какашкой:)</a> <font color="red">'.$ank['dei_gn'].'</font><br/>';

echo '<img src="/style/icons/plus.gif"> <a href="index.php?action=zhopa&id='.$ank['id'].'">Послать в:)</a> <font color="red">'.$ank['dei_zhopa'].'</font><br/>';

break;


case 'ob':
if($user[balls]<=99){echo 'Нехватает Xhata Money';break;};
if($user['balls']>=100)echo 'Успешно обняли (не задуши)';

mysql_query("UPDATE `user` SET `balls`=`balls`-100 WHERE `id`='".$user['id']."' LIMIT 1");
mysql_query("UPDATE `user` SET `dei_ob`=`dei_ob`+1 WHERE `id`='".$ank['id']."' LIMIT 1");
mysql_query("INSERT INTO `deist` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '[url=/info.php?id=$user[id]] $user[nick][/url] вас обнял', '$time')");
echo ' !';
break;
case 'ruk':
if($user[balls]<=99){echo 'Нехватает Xhata Money';break;};
if($user['balls']>=100)echo 'Успешно пожали руку';
mysql_query("UPDATE `user` SET `balls`=`balls`-100 WHERE `id`='".$user['id']."' LIMIT 1");
mysql_query("INSERT INTO `deist` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '[url=/info.php?id=$user[id]] $user[nick][/url] вам пожал руку', '$time')");
mysql_query("UPDATE `user` SET `dei_ruk`=`dei_ruk`+1 WHERE `id`='".$ank['id']."' LIMIT 1");
echo ' !';
break;

case 'wink':
if($user[balls]<=99){echo 'Нехватает Xhata Money';break;};
if($user['balls']>=100)echo 'Успешно подмигнули О_о';
mysql_query("UPDATE `user` SET `balls`=`balls`-100 WHERE `id`='".$user['id']."' LIMIT 1");
mysql_query("INSERT INTO `deist` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '[url=/info.php?id=$user[id]] $user[nick][/url] Подмигнул(а) вам', '$time')");
mysql_query("UPDATE `user` SET `dei_wink`=`dei_wink`+1 WHERE `id`='".$ank['id']."' LIMIT 1");
echo ' !';
break;



case 'zhopa':
if($user[balls]<=99){echo 'Нехватает Xhata Money';break;};
if($user['balls']>=100)echo 'Успешно послали в жопу Мож еще раз?';
mysql_query("UPDATE `user` SET `balls`=`balls`-100 WHERE `id`='".$user['id']."' LIMIT 1");
mysql_query("INSERT INTO `deist` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '[url=/info.php?id=$user[id]] $user[nick][/url] Вас послал(а) в такую дыру По ходу это задница (сочуствую тебе ппц как)', '$time')");
mysql_query("UPDATE `user` SET `dei_zhopa`=`dei_zhopa`+1 WHERE `id`='".$ank['id']."' LIMIT 1");
echo ' !';
break;




case 'vzasos':
if($user[balls]<=99){echo 'Нехватает Xhata Money';break;};
if($user['balls']>=100)echo 'Успешно пригласили на свидание';
mysql_query("UPDATE `user` SET `balls`=`balls`-100 WHERE `id`='".$user['id']."' LIMIT 1");
mysql_query("INSERT INTO `deist` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '[url=/info.php?id=$user[id]] $user[nick][/url] Пригласил(а) вас на свидание', '$time')");
mysql_query("UPDATE `user` SET `dei_vzasos`=`dei_vzasos`+1 WHERE `id`='".$ank['id']."' LIMIT 1");
echo ' !';
break;




case 'inlove':
if($user[balls]<=99){echo 'Нехватает Xhata Money';break;};
if($user['balls']>=100)echo 'Успешно признались Oooo что? серьёзно?';
mysql_query("UPDATE `user` SET `balls`=`balls`-100 WHERE `id`='".$user['id']."' LIMIT 1");
mysql_query("INSERT INTO `deist` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '[url=/info.php?id=$user[id]] $user[nick][/url] Очень любит вас (и признается в любви)', '$time')");
mysql_query("UPDATE `user` SET `dei_inlove`=`dei_inlove`+1 WHERE `id`='".$ank['id']."' LIMIT 1");
echo ' !';
break;



case 'kruzhki':
if($user[balls]<=99){echo 'Нехватает Xhata Money';break;};
if($user['balls']>=100)echo 'Успешно предложили культурно бухнуть';
mysql_query("UPDATE `user` SET `balls`=`balls`-100 WHERE `id`='".$user['id']."' LIMIT 1");
mysql_query("INSERT INTO `deist` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '[url=/info.php?id=$user[id]] $user[nick][/url] Предлажил(а) вам выпить', '$time')");
mysql_query("UPDATE `user` SET `dei_kruzhki`=`dei_kruzhki`+1 WHERE `id`='".$ank['id']."' LIMIT 1");
echo ' !';
break;


case 'disko':
if($user[balls]<=99){echo 'Нехватает Xhata Money';break;};
if($user['balls']>=100)echo 'Успешно предложили пойти на танцы жманцы обмнимнцы!';
mysql_query("UPDATE `user` SET `balls`=`balls`-100 WHERE `id`='".$user['id']."' LIMIT 1");
mysql_query("INSERT INTO `deist` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '[url=/info.php?id=$user[id]] $user[nick][/url] Предлажил(а) пойти на дискотеку', '$time')");
mysql_query("UPDATE `user` SET `dei_disko`=`dei_disko`+1 WHERE `id`='".$ank['id']."' LIMIT 1");
echo ' !';
break;


case 'cel':
if($user[balls]<=99){echo 'Нехватает Xhata Money';break;};
if($user['balls']>=100)echo 'Успешно Чмафкнули конкретно так смачно прям!';
mysql_query("UPDATE `user` SET `balls`=`balls`-100 WHERE `id`='".$user['id']."' LIMIT 1");
mysql_query("UPDATE `user` SET `dei_cel`=`dei_cel`+1 WHERE `id`='".$ank['id']."' LIMIT 1");
mysql_query("INSERT INTO `deist` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '[url=/info.php?id=$user[id]] $user[nick][/url] вас поцеловал(а)', '$time')");
echo ' !';
break;

case 'pn':
if($user[balls]<=99){echo 'Нехватает Xhata Money';break;};
if($user['balls']>=100)echo 'Успешно ударили в зад Больно же Гг';
mysql_query("UPDATE `user` SET `balls`=`balls`-100 WHERE `id`='".$user['id']."' LIMIT 1");
mysql_query("UPDATE `user` SET `dei_pn`=`dei_pn`+1 WHERE `id`='".$ank['id']."' LIMIT 1");
mysql_query("INSERT INTO `deist` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '[url=/info.php?id=$user[id]] $user[nick][/url] вас пнул(а)', '$time')");
echo '!';
break;

case 'gn':
if($user[balls]<=99){echo 'Нехватает Xhata Money';break;};
if($user['balls']>=100)echo 'Успешно кинули Гаааавном Фууу';
mysql_query("UPDATE `user` SET `balls`=`balls`-100 WHERE `id`='".$user['id']."' LIMIT 1");
mysql_query("UPDATE `user` SET `dei_gn`=`dei_gn`+1 WHERE `id`='".$ank['id']."' LIMIT 1");
mysql_query("INSERT INTO `deist` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '[url=/info.php?id=$user[id]] $user[nick][/url] кинул(а) в вас какашкой:-D', '$time')");
echo ' :) руки хоть помойте!';
break;

};

};




}else{
echo '<div class="msg">Только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>